#include <cmath>
#include <functional>
#include <fstream>
#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <set>
#include <map>
#include <list>
#include <time.h>
#include <math.h>
#include <random>
#include <deque>
#include <queue>
#include <cassert>
#include <unordered_map>
#include <unordered_set>
#include <iomanip>
#include <bitset>
#include <sstream>
#include <chrono>
#include <cstring>

using namespace std;

typedef long long ll;

#ifdef iq
  mt19937 rnd(228);
#else
  mt19937 rnd(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif

const ll inf = (ll) (1e18) + 7;

ll stup(vector <int> p, int k) {
  int n = (int) p.size();
  for (int &x : p) x--;
  vector <ll> dp(n + 1, inf);
  dp[0] = 0;
  for (int i = 0; i < n; i++) {
    vector <int> fenw(n);
    ll cost = 0;
    for (int j = i; j < n; j++) {
      for (int t = p[j] + 1; t < n; t = (t | (t + 1))) {
        cost += fenw[t];
      }
      dp[j + 1] = min(dp[j + 1], dp[i] + cost + k);
      for (int t = p[j]; t >= 0; t = (t & (t + 1)) - 1) {
        fenw[t]++;
      }
    }
  }
  return dp[n];
}

int main() {
#ifdef iq
  freopen("a.in", "r", stdin);
#endif
  ios::sync_with_stdio(0);
  cin.tie(0);
  int n, x;
  cin >> n >> x;
  vector <int> p(n);
  for (int i = 0; i < n; i++) {
    cin >> p[i];
  }
  cout << stup(p, x) << '\n';
}
