#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int main(int argc, char* argv[])
{
    registerValidation(argc, argv);

    int n = inf.readInt(2, (int)1e5, "n");
    inf.readSpace();
    int m = inf.readInt(1, 10, "m");
    inf.readEoln();
    int last = -1;
    vector<int> can(10, 0);
	vector<int> dp(n + 1, (int)-1e9);
	vector<int> cost = {6, 2, 5, 5, 4, 5, 6, 3, 7, 6};
    for (int i = 0; i < m; i++) {
    	if (i)
    		inf.readSpace();
    	int x = inf.readInt(0, 9, "not a digit");
    	ensuref(x > last, "Not increasing order");
    	last = x;
    	can[x] = 1;
    }
    inf.readEoln();
	dp[0] = 0;
	for (int i = 1; i <= n; i++) {
		for (int j = 0; j < 10; j++) {
			if (can[j] && cost[j] <= i)
				dp[i] = max(dp[i], dp[i - cost[j]] + 1);
		}
	}
	ensuref(dp[n] != -1, "Can't build");
	bool ok = 0;
	for (int i = 1; i < 10; i++)
		if (can[i] && cost[i] <= n && dp[n - cost[i]] >= 0)
			ok = 1;
	ensuref(ok || n == 6, "Can only start at 0");
    inf.readEof();
}