/// Created by Arsenii Kirillov
 
#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
//#include <ext/pb_ds/assoc_container.hpp>
#define ff first
#define ss second
#define sz(x) ((int)x.size())
#define all(x) x.begin(),x.end()
#ifndef LOCAL
#  define cerr __get_ce
#endif
 
using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;
 
/*
using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;
//*/
 
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }
 
 
void solve() {
	int n, m;
	cin >> n >> m;
	vector<int> can(10, 0);
	vector<int> dp(n + 1, -INF);
	vector<int> cost = {6, 2, 5, 5, 4, 5, 6, 3, 7, 6};
	for (int i = 0; i < m; i++) {
		int x;
		cin >> x;
		can[x] = 1;
	}
	dp[0] = 0;
	for (int i = 1; i <= n; i++) {
		for (int j = 0; j < 10; j++) {
			if (can[j] && cost[j] <= i)
				dp[i] = max(dp[i], dp[i - cost[j]] + 1);
		}
	}
	int mx = -1;
	for (int i = (n != 6); i < 10; i++) {
		if (can[i] && cost[i] <= n && dp[n - cost[i]] >= 0) {
			if (mx == -1 || dp[n - cost[i]] >= dp[n - cost[mx]])
				mx = i;
		}
	}
	cout << mx;
	n -= cost[mx];
	while (n) {
		for (int j = 9; j >= 0; j--) {
			if (can[j] && cost[j] <= n && dp[n] == dp[n - cost[j]] + 1) {
				cout << j;
				n -= cost[j];
				break;
			}
		}
	}
	cout << endl;
}
 
 
int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
 
	int test_count = 1;
	//cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
 
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}