#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#ifdef iq
  mt19937 rnd(228);
#else
  mt19937 rnd(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif

vector <int> prs[500][500];
short int gt[500][500][500];
vector <int> qs[500];

int mul(int a, int b, int p) {
  return (a * (ll) b) % p;
}

int pw(int a, int b, int p) {
  int res = 1;
  while (b) {
    if (b & 1) {
      res = mul(res, a, p);
      b--;
    } else {
      a = mul(a, a, p);
      b >>= 1;
    }
  }
  return res;
}

int inv(int x, int p) {
  return pw(x, p - 2, p);
}

const int p = 449;

int iv[500];

int main() {
#ifdef iq
  freopen("a.in", "r", stdin);
#endif
  ios::sync_with_stdio(0);
  cin.tie(0);
  int n;
  ll k;
  cin >> n >> k;
  vector <int> x(n), y(n);
  for (int i = 0; i < n; i++) {
    cin >> x[i] >> y[i];
    prs[x[i] % p][y[i] % p].push_back(i);
    qs[x[i] % p].push_back(i);
  }
  for (int i = 0; i < p; i++) {
    iv[i] = inv(i, p);
  }
  for (int i = 0; i < p; i++) {
    for (int j = 1; j < p; j++) {
      int ok = iv[j];
      for (int x = 0; x < p; x++) {
        int rz = (k - i * x) % p;
        gt[i][j][x] = mul(rz, ok, p);
        if (gt[i][j][x] < 0) gt[i][j][x] += p;
      }
    }
  }
  int ok = k % p;
  ll cands = 0;
  for (int i = 0; i < n; i++) {
    int a = x[i] % p, b = y[i] % p;
    if (b) {
      for (int j = a; j < p; j++) {
        for (int id : prs[j][gt[a][b][j]]) {
          ll orz = x[i] * (ll) x[id] + y[i] * (ll) y[id];
          if (orz == k) {
            cout << i + 1 << ' ' << id + 1 << '\n';
            return 0;
          }
        }
      }
    } else {
      for (int j = a; j < p; j++) {
        if ((a * j) % p == ok) {
          for (int id : qs[j]) {
            ll orz = x[i] * (ll) x[id] + y[i] * (ll) y[id];
            if (orz == k) {
              cout << i + 1 << ' ' << id + 1 << '\n';
              return 0;
            }
          }
        }
      }
    }
  }
}
