//#define LOCAL

#include <iostream>
#include <unordered_set>
#include <vector>
#include <string>
#include <cstdlib>
#include <cstdio>
#include <random>
#ifdef LOCAL
#include "../testlib.h"
#else
#include "testlib.h"
#endif
int next;

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    int max_size = 100'000;
    int n = atoi(argv[1]);
    
    
    int k = atoi(argv[2]);
    std::vector<int> range;
    for (int i = 0; i < n; i++) {
        range.push_back(i);
    }

    shuffle(range.begin() + 1, range.end());
    std::vector<int> parent(n, -1);
    for (int i = 1; i < n; i++) {
        int p = n;
        for (int j = 0; j < k; j++) {
            p = std::min(p, rnd.next(i));
        }
        parent[range[i]] = range[p];
    }

    println(n);
    for (int i = 1; i < n; i++) {
        if (i > 1) std::cout << "\n";
        std::cout << parent[i];
    }
    std::cout << "\n";
    // создать дерево на n вершинах.
    std::vector<int> a;
    a.resize(n);
    for (int i = 0; i < n; ++i) {
        a[i] = rnd.next(-max_size, max_size);
    }
    for (int i = 0; i < n - 1; ++i) {
        std::cout << a[i] << " ";
    }
    std::cout << a[n - 1] << "\n";
    return 0;
}