//
// Created by khlyting on 25.11.2020.
//

#include <iostream>

using namespace std;

typedef long long int ll;

ll gcd(ll a, ll b) {
    if (b == 0) {
        return a;
    } else {
        return gcd(b, a % b);
    }
}

int main() {
    ll n;
    cin >> n;

    ll numerator = 1;
    ll denominator = 1;

    for (ll i = 1; i <= n; i++) {
        ll square = (i + 1) * (i + 1);
        numerator *= (square - 1);
        denominator *= square;
        ll g = gcd(numerator, denominator);
        numerator /= g;
        denominator /= g;
    }

    cout << numerator << " " << denominator;

    return 0;
}