//
// Created by khlyting on 25.11.2020.
//

#include <iostream>

using namespace std;

typedef unsigned long long int ull;

ull gcd(ull a, ull b) {
    if (b == 0) {
        return a;
    } else {
        return gcd(b, a % b);
    }
}

int main() {
    ull n;
    cin >> n;

    ull numerator = 1;
    ull denominator = 1;

    for (ull i = 1; i <= n; i++) {
        ull square = (i + 1) * (i + 1);
        numerator *= (square - 1);
        denominator *= square;
    }

    if (numerator > 0 && denominator > 0) {
        ull g = gcd(numerator, denominator);
        numerator /= g;
        denominator /= g;
    }

    cout << numerator << " " << denominator;

    return 0;
}