#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    int t = atoi(argv[1]);

    vector<unsigned long long> mods{
            536870912, // 1 << 29
            223092870, // 2 * 3 * 5 * 7 * 11 * 13 * 17 * 19 * 23,
            39916801,  // 11! + 1
            479001599, // 12! - 1
            65537,     // fermat
            711875761  // 26681 * 26681
    };

    if (t < mods.size()) {
        int k = atoi(argv[2]);
        int n = atoi(argv[3]);
        println(k, n);
    } else {
        int tt = t - mods.size();
        int a = atoi(argv[2]);
        if (tt == 0 || tt == 4) {
            println(1ull << a, 1ull << a);
        } else if (tt == 1) {
            int value = 10;
            for (int p : vector<int>{2, 3, 5, 7, 11, 13}) {
                if (p <= a) {
                    value *= p;
                }
            }
            println(a, a - 1);
        } else if (tt <= 3) {
            println(100000, a * a);
        } else {
            println(26681 * 10, 26681 + a % 2);
        }
    }

}